-- SQL-Script zum anlegen von Tabellen fr ALK-Daten
-- von Ludwig Reiter
-- begonnen: 27.8.2004
-- Ich richte mich nach EDBS-Konverter/Tabellen/Spezifikation.tex
-- %^3DB%^3 muss durch die Db ersetzt, wo die Tabellen
-- ^3 meint  das Zeichen kommt 3 mal vor

-- Tabellen fr alle folien
CREATE TABLE zugehoerigkeitshaken
      (
      objnr    CHAR(7),
      name     CHAR(33),
      winkel   INT,
      geom    MDSYS.SDO_GEOMETRY
      );
      
CREATE TABLE zugehoerigkeitspfeilel
      (
      objnr    CHAR(7),
      name     CHAR(33),
      geom    MDSYS.SDO_GEOMETRY
      ); 


CREATE TABLE zugehoerigkeitspfeilef
      (
      objnr    CHAR(7),
      name     CHAR(33),
      geom    MDSYS.SDO_GEOMETRY
      );         

CREATE TABLE namen    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33)
      );  


CREATE TABLE namenp    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33),
      winkel   INT,
      geom    MDSYS.SDO_GEOMETRY
      );    

CREATE TABLE namenl    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33),
      geom    MDSYS.SDO_GEOMETRY
      );    

CREATE TABLE namenf    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33),
      geom    MDSYS.SDO_GEOMETRY
      );    


      
-- Tabellen fr folie001  
CREATE TABLE  folie001
      (
      objnr     CHAR(7),
      aktualitaet CHAR(2),
      edatum     DATE,
      objart    INT,
      geom    MDSYS.SDO_GEOMETRY
      );

      
-- Tabellen fr folie002      
CREATE TABLE folie002l
     (
     objnr     CHAR(7),
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
      
     
CREATE TABLE folie002f
     (
     objnr     CHAR(7),
     objname   CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
 
CREATE TABLE folie002p
     (
     objnr     CHAR(7),
     objname   CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
         
-- Tabellen fr folie003
CREATE TABLE folie003l
     (
     objnr     CHAR(7),
     objart     INT,
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
    
CREATE TABLE folie003p
     (
     objnr     CHAR(7),
     objart     INT,
     name     CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
     
-- Tabellen fr folie011 und folie084
CREATE TABLE folie011f
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );
         
CREATE TABLE folie011p
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );

CREATE TABLE folie011l
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE,
     geom    MDSYS.SDO_GEOMETRY
     );


--Tabelle fr folie021
CREATE TABLE folie021
    (
    objnr  CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );
    
      
-- Tabellen fr folie023
CREATE TABLE folie023l
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );   
    
CREATE TABLE folie023f
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );
    
-- Tabellen fr folie028
CREATE TABLE folie028l
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );
  
    
-- fr Hhengeomn
CREATE TABLE folie028p
    (
    objnr    CHAR(7),
    objart   INT ,
    aktualitaet CHAR(2),
    edatum     DATE ,
    geom    MDSYS.SDO_GEOMETRY            
    );
   
    
CREATE TABLE folie028f
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );


-- Tabellen fr folie042
CREATE TABLE folie042f
    (
    objnr CHAR(7),
    objart INT ,
    aktualitaet CHAR(2),
    edatum     DATE ,
    geom    MDSYS.SDO_GEOMETRY 
    );
 
   
CREATE TABLE folie042p
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE ,
    geom    MDSYS.SDO_GEOMETRY  
    );
     
    
CREATE TABLE folie042l
    (
    objnr CHAR(7),
    objart INT ,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY  
    ) ;
       

-- Fr foliem 050 -054 und 059
CREATE TABLE folie050bis054und059
    (
    objnr CHAR(7),
    objart INT,
    pktkenn CHAR(33),
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );


-- Tabellen fr folie063
CREATE TABLE folie063
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );
     
-- Tabellen fr folie081    
CREATE TABLE folie081p  
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );


CREATE TABLE folie081f  
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );    
    
    
-- Tabellen fr folie082
CREATE TABLE folie082f
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );
  
CREATE TABLE folie082l
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    ); 
    
    
CREATE TABLE folie082p
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );     
    
    
-- Tabelle fr folie085
CREATE TABLE folie085
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE,
    geom    MDSYS.SDO_GEOMETRY
    );       

