-- SQL-Script zum anlegen von Tabellen fr ALK-Daten
-- von Ludwig Reiter
-- begonnen: 27.8.2004
-- Ich richte mich nach EDBS-Konverter/Tabellen/Spezifikation.tex
-- %^3DB%^3 muss durch die Db ersetzt, wo die Tabellen
-- ^3 meint  das Zeichen kommt 3 mal vor

-- Tabellen fr alle folien
CREATE TABLE zugehoerigkeitshaken
      (
      objnr    CHAR(7),
      name     CHAR(33),
      winkel   INT
      );
SELECT AddGeometryColumn( %%%DB%%%  ,'zugehoerigkeitshaken','geom',-1,'POINT',2);      
      
CREATE TABLE zugehoerigkeitspfeilel
      (
      objnr    CHAR(7),
      name     CHAR(33)
      ); 
SELECT AddGeometryColumn( %%%DB%%%    ,'zugehoerigkeitspfeilel','geom',-1,'LINESTRING',2);

CREATE TABLE zugehoerigkeitspfeilef
      (
      objnr    CHAR(7),
      name     CHAR(33)
      ); 
SELECT AddGeometryColumn( %%%DB%%%    ,'Zugehoerigkeitspfeilef','geom',-1,'POLYGON',2);        

CREATE TABLE namen    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33)
      );  


CREATE TABLE namenp    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33),
      winkel   INT
      );    
SELECT AddGeometryColumn( %%%DB%%%    ,'namenp','geom',-1,'POINT',2);

CREATE TABLE namenl    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33)
      );    
SELECT AddGeometryColumn( %%%DB%%%    ,'namenl','geom',-1,'LINESTRING',2);

CREATE TABLE namenf    
      (
      objnr    CHAR(7),
      artderinfo INT,
      kartentyp CHAR(2),
      darstellungsart CHAR(6),
      name     CHAR(33)
      );    
SELECT AddGeometryColumn( %%%DB%%%    ,'namenf','geom',-1,'POLYGON',2);


      
-- Tabellen fr folie001  
CREATE TABLE  folie001
      (
      objnr     CHAR(7),
      aktualitaet CHAR(2),
      edatum     DATE,
      objart    INT
      );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie001','geom',-1,'POLYGON',2)  ;    
      
-- Tabellen fr folie002      
CREATE TABLE folie002l
     (
     objnr     CHAR(7),
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie002l','geom',-1,'LINESTRING',2);      
     
CREATE TABLE folie002f
     (
     objnr     CHAR(7),
     objname   CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn(  %%%DB%%%   ,'folie002f','geom',-1,'POLYGON',2)    ; 
CREATE TABLE folie002p
     (
     objnr     CHAR(7),
     objname   CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie002p','geom',-1,'POINT',2);         
-- Tabellen fr folie003
CREATE TABLE folie003l
     (
     objnr     CHAR(7),
     objart     INT,
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie003l','geom',-1,'LINESTRING',2) ;    
CREATE TABLE folie003p
     (
     objnr     CHAR(7),
     objart     INT,
     name     CHAR(33),
     kartentyp   INT,
     darstellungsart CHAR(6),
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie003p','geom',-1,'POINT',2) ;     
-- Tabellen fr folie011 und folie084
CREATE TABLE folie011f
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie011f','geom',-1,'POLYGON',2) ;      
CREATE TABLE folie011p
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%     ,'folie011p','geom',-1,'POINT',2) ; 
CREATE TABLE folie011l
     (
     objnr CHAR(7),
     objart INT,
     aktualitaet CHAR(2),
     edatum     DATE
     );
SELECT AddGeometryColumn( %%%DB%%%     ,'folie011l','geom',-1,'LINESTRING',2) ;

--Tabelle fr folie021
CREATE TABLE folie021
    (
    objnr  CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%%     ,'folie021','geom',-1,'POLYGON',2) ;     
      
-- Tabellen fr folie023
CREATE TABLE folie023l
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie023l','geom',-1,'LINESTRING',2) ;    
    
CREATE TABLE folie023f
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie023f','geom',-1,'POLYGON',2) ;    
-- Tabellen fr folie028
CREATE TABLE folie028l
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie028l','geom',-1,'LINESTRING',2) ;  
    
-- fr Hhengeomn
CREATE TABLE folie028p
    (
    objnr    CHAR(7),
    objart   INT ,
    aktualitaet CHAR(2),
    edatum     DATE             
    );
SELECT AddGeometryColumn(  %%%DB%%%,'folie028p','geom',-1,'POINT',2) ;    
    
CREATE TABLE folie028f
    (
    objnr    CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie028f','geom',-1,'POLYGON',2) ; 

-- Tabellen fr folie042
CREATE TABLE folie042f
    (
    objnr CHAR(7),
    objart INT ,
    aktualitaet CHAR(2),
    edatum     DATE  
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie042f','geom',-1,'POLYGON',2) ;  
   
CREATE TABLE folie042p
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE   
    );
SELECT AddGeometryColumn(  %%%DB%%%   ,'folie042p','geom',-1,'POINT',2) ;     
    
CREATE TABLE folie042l
    (
    objnr CHAR(7),
    objart INT ,
    aktualitaet CHAR(2),
    edatum     DATE  
    ) ;
SELECT AddGeometryColumn(  %%%DB%%%   ,'folie042l','geom',-1,'LINESTRING',2);       

-- Fr foliem 050 -054 und 059
CREATE TABLE folie050bis054und059
    (
    objnr CHAR(7),
    objart INT,
    pktkenn CHAR(33),
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%% ,'folie050bis054und059','geom',-1,'POINT',2);

-- Tabellen fr folie063
CREATE TABLE folie063
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie063','geom',-1,'LINESTRING',2) ;     
-- Tabellen fr folie081    
CREATE TABLE folie081p  
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie081p','geom',-1,'POINT',2) ;

CREATE TABLE folie081f  
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );    
SELECT AddGeometryColumn( %%%DB%%%    ,'folie081f','geom',-1,'POLYGON',2) ;    
    
-- Tabellen fr folie082
CREATE TABLE folie082f
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );
SELECT AddGeometryColumn( %%%DB%%%    ,'folie082f','geom',-1,'POLYGON',2) ;    
CREATE TABLE folie082l
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    ); 
SELECT AddGeometryColumn( %%%DB%%%    ,'folie082l','geom',-1,'LINESTRING',2) ;    
    
CREATE TABLE folie082p
    (
    objnr CHAR(7),
    objart   INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );     
SELECT AddGeometryColumn( %%%DB%%%    ,'folie082p','geom',-1,'POINT',2) ;    
    
-- Tablle fr folie085
CREATE TABLE folie085
    (
    objnr CHAR(7),
    objart INT,
    aktualitaet CHAR(2),
    edatum     DATE
    );       
SELECT AddGeometryColumn( %%%DB%%%    ,'folie085','geom',-1,'POINT',2) ;
